#include <bits/stdc++.h>
using namespace std;
int main(){
    long double l,d,p,q,r,br=0,x=0,y=0;
    cin>>p>>q>>r>>l>>d;
    for(long double n=l; n<=d; n++){
        if(ceil(n/p)+ceil(n/q)+ceil(n/r)<=n){
            br++;
            x++;
            y=0;
        }
        else{
            x=0;
            y++;
        }
        if(x==500){
            br=br+d-n;
            n=d+1;
        }
        if(y==500){
            br=br;
            n=d+1;
        }
    }
    cout<<br;
}